### Method

# Gtk Builder add_objects_from_string

#### Declaration [src]

    gboolean
    gtk_builder_add_objects_from_string (
      GtkBuilder* builder,
      const char* buffer,
      gssize length,
      const char** object_ids,
      GError** error
    )

#### Description [src]

Parses a string containing a UI definition, building only the requested objects and merges them with the current contents of `builder`.

Upon errors `FALSE` will be returned and `error` will be assigned a `GError` from the `GTK_BUILDER_ERROR` or `G_MARKUP_ERROR` domain.

If you are adding an object that depends on an object that is not its child (for instance a `GtkTreeView` that depends on its `GtkTreeModel`), you have to explicitly list all of them in `object_ids`.

#### Parameters

`buffer` | `const char*`
| The string to parse.
| The data is owned by the caller of the function.
| The string is a NUL terminated UTF-8 string.
`length` | `gssize`
| The length of `buffer` (may be -1 if `buffer` is nul-terminated).
`object_ids` | An array of `utf8`
| Nul-terminated array of objects to build.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| `TRUE` on success, `FALSE` if an error occurred.